Bug 410311 - New kernel syscall sys_rlimit64 for resource limits
New kernel syscall sys_rlimit64 for resource limits
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
high Severity low
: ---
: ---
Assigned To: Jerome Marchand
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2007-12-04 08:08 EST by Adam Stokes
Modified: 2010-06-24 10:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-24 10:08:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Stokes 2007-12-04 08:08:10 EST
Description of problem:
In this particular case users of ppc64 are unable to set things like memlock
higher than 4G

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Set memlock higher than 4G in /etc/security/limits.conf

This simple application shows its effect :
#include <sys/resource.h>
#include <stdio.h>
#include <stdlib.h>

int main ()
  struct rlimit rlim;
  rlim.rlim_max = 5961560;
  rlim.rlim_cur = rlim.rlim_max;

  if ( setrlimit(8, &rlim) < 0) {
    fprintf(stderr,"Failed to set memlock max\n");
  fprintf(stderr,"rlim_cur: %ld\n",rlim.rlim_cur);
  return 1;
Actual results:
Fails to set memlock higher than 4G.

Expected results:
Allow for higher threshold

Additional info:
Comment 1 Linda Wang 2008-06-06 06:18:57 EDT
if you are using 4.6.9, then it is RHEL4 not RHEL5.
In RHEL4, have you try the PPC64 largesmp version of the kernel?
Comment 2 Vitaly Mayatskikh 2008-06-09 09:47:55 EDT
Hardlimit for memlock is set in compile time and equals to 8 pages (32kb). And
it is not possible to increase hardlimit value in run time. Adam, can you
provide us with more information?
Comment 4 Jerome Marchand 2010-06-24 08:31:56 EDT
I can not reproduce the issue, neither on RHEL4.6 nor on more recent 4.8. 
If you still experience problem, please provide us with more info:
 - what exact kernel version do you use,
 - what error do you get.

Note You need to log in before you can comment on or make changes to this bug.